// QT includes
#include <QVBoxLayout>
#include <QPushButton>
#include <kmainwindow.h>
#include <kcmdlineargs.h>

// KDE includes
#include <kuniqueapplication.h>
#include <kparts/part.h>


#include "term.h"

int main( int argc, char **argv )
{
    KCmdLineArgs::init(argc, argv, "a", "b", "c", "d");
    KUniqueApplication::addCmdLineOptions();
    KUniqueApplication a;

    QFrame  f;          // Main widget
    QVBoxLayout vb(&f);
    term t(0);
    vb.addWidget (&t);

    a.setMainWidget(&f);

    f.show();

    // Run our program
    QString prg="/bin/ls";
    QStringList l;
    l.append("-l");
    t.start(prg, l);

    return a.exec();
}
